Skip to Content
Futures Cross

Get filled orders

Deprecated

GET/futures/cross/orders/filledPrivate

Deprecated: /futures is being replaced by the /perp API; this route has no /perp equivalent yet. Get your filled cross orders. Paginated, newest first; from and to filter on the fill time.

Permissions: futures:cross:read

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-11-09T17:08:56.638Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'

const client = createHttpClient({
  key: 'your-key',
  secret: 'your-secret',
  passphrase: 'your-passphrase',
})

const result = await client.futures.cross.getFilledOrders({
  from: '1970-01-01T00:00:00.000Z',
  to: '2026-11-09T17:08:56.136Z',
  limit: 500
})
{
  "data": [
    {
      "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",
      "type": "limit",
      "side": "buy",
      "quantity": 100,
      "price": 20000,
      "tradingFee": 10,
      "createdAt": "2025-09-01T15:04:21.129Z",
      "filledAt": "2025-09-01T15:04:21.129Z",
      "canceledAt": null,
      "open": false,
      "filled": true,
      "canceled": false,
      "clientId": "test-client-id-123"
    }
  ],
  "nextCursor": "2024-01-15T10:30:00.000Z"
}